Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000235 [Yate - Yet Another Telephony Engine] engine major always 2010-07-05 13:24 2018-08-07 23:09
Reporter lefoyer View Status public  
Assigned To
Priority normal Resolution reopened  
Status feedback   Product Version SVN
Summary 0000235: Not working incoming call from asterisk to Yate-Client over IAX2 protocol.
Description Sorry my bad English.
Outgouing call normal work.

Tested on
Asterisk version 1.4.33.1 (used Elastix 1.6.2) & Asterisk 1.6.2.8
Yate-Client 2-stable & 3-trunk.


Asterisk debug log (81.200.25.174:1026 - yate client):

Tx-Frame Retry[000] -- OSeqno: 000 ISeqno: 000 Type: IAX Subclass: NEW
   Timestamp: 00015ms SCall: 01219 DCall: 00000 [81.200.25.174:1026]
   VERSION : 2
   CALLED NUMBER : s
   CODEC_PREFS : (speex)
   CALLING NUMBER : 165
   CALLING PRESNTN : 0
   CALLING TYPEOFN : 0
   CALLING TRANSIT : 0
   CALLING NAME : 165
   LANGUAGE : ru
   FORMAT : 512
   CAPABILITY : 512
   ADSICPE : 2
   DATE TIME : 2010-07-05 13:59:28

Tx-Frame Retry[000] -- OSeqno: 002 ISeqno: 002 Type: CONTROL Subclass: RINGING
   Timestamp: 00025ms SCall: 02471 DCall: 01190 [81.200.25.174:4569]
Rx-Frame Retry[ No] -- OSeqno: 002 ISeqno: 003 Type: IAX Subclass: ACK
   Timestamp: 00025ms SCall: 01190 DCall: 02471 [81.200.25.174:4569]
Rx-Frame Retry[ No] -- OSeqno: 000 ISeqno: 001 Type: IAX Subclass: ACK
   Timestamp: 00015ms SCall: 01539 DCall: 01219 [81.200.25.174:1026]
Rx-Frame Retry[ No] -- OSeqno: 000 ISeqno: 001 Type: IAX Subclass: INVAL
   Timestamp: 00019ms SCall: 01539 DCall: 01219 [81.200.25.174:1026]


Yate-Client log:

<WARN> IAXIEList::createFromFrame. Frame(6,1) with unknown IE identifier 54 [05060F00]
<WARN> IAXIEList::createFromFrame. Frame(6,1) with invalid IE [05060F00]
<WARN> IAXIEList::createFromFrame. Frame(6,1) with unknown IE identifier 54 [05060F00]
<WARN> IAXIEList::createFromFrame. Frame(6,1) with invalid IE [05060F00]

Aserisk iax2.conf
[general]
mailboxdetail=yes
tos=ef
disallow=all
allow=ulaw
allow=alaw
allow=gsm


[189]
deny=0.0.0.0/0.0.0.0
disallow=all
secret=password
transfer=no
context=from-internal
host=dynamic
type=friend
port=4569
qualify=yes
allow=speex
dial=IAX2/189
accountcode=189
mailbox=189@device
permit=0.0.0.0/0.0.0.0
requirecalltoken=no
callerid=device <189>
setvar=REALCALLERIDNUM=189

Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000359)
viraptor (reporter)
2011-02-13 17:33

This seems to affect many IAX based transactions. Here's an example of talking to asterisk:

<iaxengine:INFO> Sending frame.
-----
IAX (0x06) - REGREQ (0x0000000d)
  Outgoing to 1.2.3.4:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 13880:0. Timestamp: 1. Retrans: false. Sequence numbers: Out: 0 In: 0
  USERNAME: 1003203
  REFRESH: 60 second(s)
-----
<client:INFO> setAccountsStatus(iax:1003203@1.2.3.4) set=(3,(null)) acc=(2,(null))
<iaxengine:INFO> Received frame.
-----
IAX (0x06) - REGAUTH (0x0000000e)
  Incoming from 1.2.3.4:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 13880:10678. Timestamp: 16. Retrans: false. Sequence numbers: Out: 0 In: 1
  AUTHMETHODS: 0x0003 (Text,MD5)
  CHALLENGE: 147778161
  USERNAME: 1003203
-----
<iaxengine:INFO> Sending frame.
-----
IAX (0x06) - ACK (0x00000004)
  Outgoing to 1.2.3.4:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 13880:10678. Timestamp: 16. Retrans: false. Sequence numbers: Out: 1 In: 1
-----
<iaxengine:ALL> Transaction(13880,10678). AuthReq received
<iaxengine:INFO> Sending frame.
-----
IAX (0x06) - REGREQ (0x0000000d)
  Outgoing to 1.2.3.4:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 13880:10678. Timestamp: 122. Retrans: false. Sequence numbers: Out: 1 In: 1
  USERNAME: 1003203
  MD5_RESULT: fbe8fef029e75c35761eb3af1b2fb891
-----
<WARN> IAXIEList::createFromFrame. Frame(6,30) with unknown IE identifier 54 [0x1bad6b0]
<WARN> IAXIEList::createFromFrame. Frame(6,30) with invalid IE [0x1bad6b0]
<iaxengine:INFO> Received frame.
-----
IAX (0x06) - POKE (0x0000001e)
  Incoming from 1.2.3.4:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 0:9535. Timestamp: 19. Retrans: false. Sequence numbers: Out: 0 In: 0
  Error parsing Information Element(s)
-----
<iaxengine:INFO> Received frame.
-----
IAX (0x06) - REGACK (0x0000000f)
  Incoming from 1.2.3.4:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 13880:10678. Timestamp: 139. Retrans: false. Sequence numbers: Out: 1 In: 2
  USERNAME: 1003203
  DATETIME: 0x164d8b46
  REFRESH: 60 second(s)
  APPARENT_ADDR: 5.6.7.8:52778
-----
<iaxengine:INFO> Sending frame.
-----
IAX (0x06) - ACK (0x00000004)
  Outgoing to 1.2.3.4:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 13880:10678. Timestamp: 139. Retrans: false. Sequence numbers: Out: 2 In: 2
-----
<iaxengine:ALL> Transaction(13880,10678). Terminating. Event: 7, Frame(6,15)
<iax:INFO> Line(iax:1003203@1.2.3.4) registered to 1.2.3.4:4569 [0x1bb6770]
<iaxengine:INFO> Sending frame.
-----
IAX (0x06) - ACK (0x00000004)
  Outgoing to 1.2.3.4:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 13881:9535. Timestamp: 19. Retrans: false. Sequence numbers: Out: 0 In: 1
-----
<iaxengine:INFO> Sending frame.
-----
IAX (0x06) - PONG (0x00000003)
  Outgoing to 1.2.3.4:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 13881:9535. Timestamp: 19. Retrans: false. Sequence numbers: Out: 0 In: 1
-----
<iaxengine:ALL> Transaction(13881,9535). Terminating. Event: 1, Frame(0,0)
<iaxengine:ALL> Transaction(13880,10678) - Cleanup on remote request. Timestamp: 243
<iaxengine:ALL> Transaction(13880,10678). Terminated. Event: 2, Frame(0,0)
<iaxengine:ALL> Transaction(13881,9535) - Cleanup on remote request. Timestamp: 5
<iaxengine:ALL> Transaction(13881,9535). Terminated. Event: 2, Frame(0,0)
<iaxengine:INFO> Received frame.
-----
IAX (0x06) - ACK (0x00000004)
  Incoming from 1.2.3.4:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 13881:9535. Timestamp: 19. Retrans: false. Sequence numbers: Out: 1 In: 1
-----
<client:INFO> Dispatching 1 postponed messages
<client:INFO> Status 'Registered account iax:1003203@1.2.3.4' in window (nil)
<iaxengine:INFO> Sending frame.
-----
IAX (0x06) - INVAL (0x0000000a)
  Outgoing to 1.2.3.4:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 0:0. Timestamp: 0. Retrans: false. Sequence numbers: Out: 0 In: 0
-----


The last INVAL doesn't seem to make much sense. The registration succeeded. The same thing happens on a call - after the call is accepted, yate kills the call right away with a similar INVAL.
(0000360)
viraptor (reporter)
2011-02-13 17:35

Forgot to add - tested with Yate 3.1.
(0000361)
lefoyer (reporter)
2011-02-17 14:02
edited on: 2011-02-17 14:09

The new version of the same error (Asterisk 1.6.2.13 - Elastix 2.0)yate-3.1.0-1


pbx*CLI> iax2 set debug peer 185
IAX2 Debugging Enabled for IP: 81.200.25.174:4569
    -- Remote UNIX connection
    -- Remote UNIX connection disconnected
  == Using SIP RTP TOS bits 184
  == Using SIP RTP CoS mark 5
    -- Executing [185@from-internal:1] Macro("SIP/182-000004e5", "exten-vm,novm,185") in new stack
    -- Executing [s@macro-exten-vm:1] Macro("SIP/182-000004e5", "user-callerid,") in new stack
    -- Executing [s@macro-user-callerid:1] Set("SIP/182-000004e5", "AMPUSER=182") in new stack
    -- Executing [s@macro-user-callerid:2] GotoIf("SIP/182-000004e5", "0?report") in new stack
    -- Executing [s@macro-user-callerid:3] ExecIf("SIP/182-000004e5", "1?Set(REALCALLERIDNUM=182)") in new stack
    -- Executing [s@macro-user-callerid:4] Set("SIP/182-000004e5", "AMPUSER=182") in new stack
    -- Executing [s@macro-user-callerid:5] Set("SIP/182-000004e5", "AMPUSERCIDNAME=Sergey Sidlyarenko") in new stack
    -- Executing [s@macro-user-callerid:6] GotoIf("SIP/182-000004e5", "0?report") in new stack
    -- Executing [s@macro-user-callerid:7] Set("SIP/182-000004e5", "AMPUSERCID=182") in new stack
    -- Executing [s@macro-user-callerid:8] Set("SIP/182-000004e5", "CALLERID(all)="Sergey Sidlyarenko" <182>") in new stack
    -- Executing [s@macro-user-callerid:9] ExecIf("SIP/182-000004e5", "1?Set(CHANNEL(language)=ru)") in new stack
    -- Executing [s@macro-user-callerid:10] GotoIf("SIP/182-000004e5", "0?continue") in new stack
    -- Executing [s@macro-user-callerid:11] Set("SIP/182-000004e5", "__TTL=64") in new stack
    -- Executing [s@macro-user-callerid:12] GotoIf("SIP/182-000004e5", "1?continue") in new stack
    -- Goto (macro-user-callerid,s,19)
    -- Executing [s@macro-user-callerid:19] NoOp("SIP/182-000004e5", "Using CallerID "Sergey Sidlyarenko" <182>") in new stack
    -- Executing [s@macro-exten-vm:2] Set("SIP/182-000004e5", "RingGroupMethod=none") in new stack
    -- Executing [s@macro-exten-vm:3] Set("SIP/182-000004e5", "VMBOX=novm") in new stack
    -- Executing [s@macro-exten-vm:4] Set("SIP/182-000004e5", "EXTTOCALL=185") in new stack
    -- Executing [s@macro-exten-vm:5] Set("SIP/182-000004e5", "CFUEXT=") in new stack
    -- Executing [s@macro-exten-vm:6] Set("SIP/182-000004e5", "CFBEXT=") in new stack
    -- Executing [s@macro-exten-vm:7] Set("SIP/182-000004e5", "RT=""") in new stack
    -- Executing [s@macro-exten-vm:8] Macro("SIP/182-000004e5", "record-enable,185,IN") in new stack
    -- Executing [s@macro-record-enable:1] GotoIf("SIP/182-000004e5", "1?check") in new stack
    -- Goto (macro-record-enable,s,4)
    -- Executing [s@macro-record-enable:4] ExecIf("SIP/182-000004e5", "0?MacroExit()") in new stack
    -- Executing [s@macro-record-enable:5] GotoIf("SIP/182-000004e5", "0?Group:OUT") in new stack
    -- Goto (macro-record-enable,s,15)
    -- Executing [s@macro-record-enable:15] GotoIf("SIP/182-000004e5", "1?IN") in new stack
    -- Goto (macro-record-enable,s,20)
    -- Executing [s@macro-record-enable:20] ExecIf("SIP/182-000004e5", "1?MacroExit()") in new stack
    -- Executing [s@macro-exten-vm:9] Macro("SIP/182-000004e5", "dial,,tr,185") in new stack
    -- Executing [s@macro-dial:1] GotoIf("SIP/182-000004e5", "1?dial") in new stack
    -- Goto (macro-dial,s,3)
    -- Executing [s@macro-dial:3] AGI("SIP/182-000004e5", "dialparties.agi") in new stack
    -- Launched AGI Script /var/lib/asterisk/agi-bin/dialparties.agi
 dialparties.agi: Starting New Dialparties.agi
 dialparties.agi: Caller ID name is 'Sergey Sidlyarenko' number is '182'
 dialparties.agi: Methodology of ring is 'none'
    -- dialparties.agi: Added extension 185 to extension map
    -- dialparties.agi: Extension 185 cf is disabled
    -- dialparties.agi: Extension 185 do not disturb is disabled
 dialparties.agi: EXTENSION_STATE: 0 (NOT_INUSE)
 dialparties.agi: Extension 185 has ExtensionState: 0
    -- dialparties.agi: Checking CW and CFB status for extension 185
    -- dialparties.agi: dbset CALLTRACE/185 to 182
    -- dialparties.agi: Filtered ARG3: 185
    -- <SIP/182-000004e5>AGI Script dialparties.agi completed, returning 0
    -- Executing [s@macro-dial:7] Dial("SIP/182-000004e5", "IAX2/185,,tr") in new stack
    -- Called 185
Rx-Frame Retry[ No] -- OSeqno: 000 ISeqno: 001 Type: IAX Subclass: ACK
   Timestamp: 00010ms SCall: 01139 DCall: 01500 [81.200.25.174:4569]
Rx-Frame Retry[ No] -- OSeqno: 000 ISeqno: 001 Type: IAX Subclass: INVAL
   Timestamp: 00001ms SCall: 01139 DCall: 01500 [81.200.25.174:4569]
    -- Hungup 'IAX2/185-1500'
  == Everyone is busy/congested at this time (1:0/0/1)
    -- Executing [s@macro-dial:8] Set("SIP/182-000004e5", "DIALSTATUS=CHANUNAVAIL") in new stack
    -- Executing [s@macro-dial:9] GosubIf("SIP/182-000004e5", "0?CHANUNAVAIL,1") in new stack
    -- Executing [s@macro-exten-vm:10] GotoIf("SIP/182-000004e5", "0?exit,return") in new stack
    -- Executing [s@macro-exten-vm:11] Set("SIP/182-000004e5", "SV_DIALSTATUS=CHANUNAVAIL") in new stack
    -- Executing [s@macro-exten-vm:12] GosubIf("SIP/182-000004e5", "0?docfu,1") in new stack
    -- Executing [s@macro-exten-vm:13] GosubIf("SIP/182-000004e5", "0?docfb,1") in new stack
    -- Executing [s@macro-exten-vm:14] Set("SIP/182-000004e5", "DIALSTATUS=CHANUNAVAIL") in new stack
    -- Executing [s@macro-exten-vm:15] NoOp("SIP/182-000004e5", "Voicemail is 'novm'") in new stack
    -- Executing [s@macro-exten-vm:16] GotoIf("SIP/182-000004e5", "1?s-CHANUNAVAIL,1") in new stack
    -- Goto (macro-exten-vm,s-CHANUNAVAIL,1)
    -- Executing [s-CHANUNAVAIL@macro-exten-vm:1] NoOp("SIP/182-000004e5", "IVR_RETVM: IVR_CONTEXT: ") in new stack
    -- Executing [s-CHANUNAVAIL@macro-exten-vm:2] GotoIf("SIP/182-000004e5", "0?exit,1") in new stack
    -- Executing [s-CHANUNAVAIL@macro-exten-vm:3] PlayTones("SIP/182-000004e5", "congestion") in new stack
    -- Executing [s-CHANUNAVAIL@macro-exten-vm:4] Congestion("SIP/182-000004e5", "10") in new stack
  == Spawn extension (macro-exten-vm, s-CHANUNAVAIL, 4) exited non-zero on 'SIP/182-000004e5' in macro 'exten-vm'
  == Spawn extension (from-internal, 185, 1) exited non-zero on 'SIP/182-000004e5'
    -- Executing [h@from-internal:1] Macro("SIP/182-000004e5", "hangupcall") in new stack
    -- Executing [s@macro-hangupcall:1] GotoIf("SIP/182-000004e5", "1?noautomon") in new stack
    -- Goto (macro-hangupcall,s,3)
    -- Executing [s@macro-hangupcall:3] NoOp("SIP/182-000004e5", "TOUCH_MONITOR_OUTPUT=") in new stack
    -- Executing [s@macro-hangupcall:4] GotoIf("SIP/182-000004e5", "1?noautomon2") in new stack
    -- Goto (macro-hangupcall,s,6)
    -- Executing [s@macro-hangupcall:6] NoOp("SIP/182-000004e5", "MONITOR_FILENAME=") in new stack
    -- Executing [s@macro-hangupcall:7] GotoIf("SIP/182-000004e5", "1?skiprg") in new stack
    -- Goto (macro-hangupcall,s,10)
    -- Executing [s@macro-hangupcall:10] GotoIf("SIP/182-000004e5", "1?skipblkvm") in new stack
    -- Goto (macro-hangupcall,s,13)
    -- Executing [s@macro-hangupcall:13] GotoIf("SIP/182-000004e5", "1?theend") in new stack
    -- Goto (macro-hangupcall,s,15)
    -- Executing [s@macro-hangupcall:15] Hangup("SIP/182-000004e5", "") in new stack
  == Spawn extension (macro-hangupcall, s, 15) exited non-zero on 'SIP/182-000004e5' in macro 'hangupcall'
  == Spawn extension (from-internal, h, 1) exited non-zero on 'SIP/182-000004e5'
Rx-Frame Retry[ No] -- OSeqno: 000 ISeqno: 001 Type: IAX Subclass: ACK
   Timestamp: 00013ms SCall: 01140 DCall: 03319 [81.200.25.174:4569]
Rx-Frame Retry[ No] -- OSeqno: 000 ISeqno: 001 Type: IAX Subclass: PONG
   Timestamp: 00013ms SCall: 01140 DCall: 03319 [81.200.25.174:4569]







<WARN> IAXIEList::createFromFrame. Frame(6,1) with unknown IE identifier 54 [04017AE0]
<WARN> IAXIEList::createFromFrame. Frame(6,1) with invalid IE [04017AE0]
<WARN> IAXIEList::createFromFrame. Frame(6,1) with unknown IE identifier 54 [04017AE0]
<WARN> IAXIEList::createFromFrame. Frame(6,1) with invalid IE [04017AE0]

(0000366)
vir (reporter)
2011-03-11 17:15

Looks similar to what i seen a while ago.
You can try this fix: https://github.com/vir/yate/commit/b878219ebfa497f5736055367b98abebc1cb295f [^]
(0000385)
marian (developer)
2011-08-29 15:01

Fixed in SVN Rev. 4480: the iax decoder no longer reject frames with unknown IE id.
Support for IE identifier 54 (CALLTOKEN) was added in the same revision.
(0000429)
paulc (administrator)
2012-02-21 19:20

Fixed in Yate 4
(0000448)
lefoyer (reporter)
2012-03-05 16:27

No fixed in Yate 4.

Outgouing call work.
Incoming not work.

<iaxengine:INFO> Received frame.
-----
IAX (0x06) - NEW (0x00000001)
  Incoming from XX.XXX.161.14:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 0:5443. Timestamp: 3. Retrans: false. Sequence numbers: Out: 0 In: 0
  VERSION: 0x0002
  CALLED_NUMBER: s
  CODEC_PREFS: K
  CALLING_NUMBER: 182
  CALLINGPRES: 0000
  CALLINGTON: 0000
  CALLINGTNS: 000000
  CALLING_NAME: 182
  LANGUAGE: en
  FORMAT: 0x00000200 (SPEEX)
  CAPABILITY: 0x00000200 (SPEEX)
  ADSICPE: 0x0002
  DATETIME: 0x18659245
  CALLTOKEN:
-----
<iaxengine:INFO> Sending frame.
-----
IAX (0x06) - ACK (0x00000004)
  Outgoing to XX.XXX.161.14:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 20884:5443. Timestamp: 3. Retrans: false. Sequence numbers: Out: 0 In: 1
  No Information Element(s)
-----
<iaxengine:INFO> Sending frame.
-----
IAX (0x06) - REJECT (0x00000006)
  Outgoing to XX.XXX.161.14:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 20884:5443. Timestamp: 4. Retrans: false. Sequence numbers: Out: 0 In: 1
  CAUSE: Username is missing
-----
<iaxengine:INFO> Received frame.
-----
IAX (0x06) - ACK (0x00000004)
  Incoming from XX.XXX.161.14:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 20884:5443. Timestamp: 4. Retrans: false. Sequence numbers: Out: 1 In: 1
  No Information Element(s)
-----
(0000452)
lefoyer (reporter)
2012-05-21 18:25

Please close the topic, the problem is solved.
(0000531)
nimnull (reporter)
2013-05-02 11:09

Please reopen this problem.
Linux Ubuntu. yate-qt4 --version = Yate 4.3.0 1
Installed from: Launchpad PPA for Victor Poluksht

The same problem - yate reject incoming calls from SIP to IAX2
Some logs:

Yate log:
<iaxengine:INFO> Received frame.
-----
IAX (0x06) - NEW (0x00000001)
  Incoming from 172.16.248.139:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 0:1531. Timestamp: 14. Retrans: false. Sequence numbers: Out: 0 In: 0
  VERSION: 0x0002
  CALLED_NUMBER: s
  CODEC_PREFS: DE
  CALLING_NUMBER: 510616
  CALLINGPRES: 0x01
  CALLINGTON: 0000
  CALLINGTNS: 000000
  CALLING_NAME: 1119
  LANGUAGE: en
  FORMAT: 0x00000004 (G.711 mu-law)
  0x38: 00 00 00 00 00 00 00 00 04
  CAPABILITY: 0x0000000c (G.711 mu-law,G.711 a-law)
  0x37: 00 00 00 00 00 00 00 00 0c
  ADSICPE: 0x0002
  DATETIME: 0x1aa25c18
  CALLTOKEN:
-----
<iaxengine:INFO> Sending frame.
-----
IAX (0x06) - ACK (0x00000004)
  Outgoing to 172.16.248.139:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 30312:1531. Timestamp: 14. Retrans: false. Sequence numbers: Out: 0 In: 1
  No Information Element(s)
-----
<iaxengine:INFO> Sending frame.
-----
IAX (0x06) - REJECT (0x00000006)
  Outgoing to 172.16.248.139:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 30312:1531. Timestamp: 21. Retrans: false. Sequence numbers: Out: 0 In: 1
  CAUSE: Username is missing




Asterisk log:

Tx-Frame Retry[000] -- OSeqno: 000 ISeqno: 000 Type: IAX Subclass: NEW
   Timestamp: 00011ms SCall: 07850 DCall: 00000 [172.16.248.117:4569]
   VERSION : 2
   CALLED NUMBER : s
   CODEC_PREFS : (ulaw|alaw)
   CALLING NUMBER : 510616
   CALLING PRESNTN : 1
   CALLING TYPEOFN : 0
   CALLING TRANSIT : 0
   CALLING NAME : 1119
   LANGUAGE : en
   FORMAT : 4
   FORMAT2 : ulaw
   CAPABILITY : 12
   CAPABILITY2 : unknown
   ADSICPE : 2
   DATE TIME : 2013-05-02 11:43:40

Rx-Frame Retry[ No] -- OSeqno: 000 ISeqno: 001 Type: IAX Subclass: ACK
   Timestamp: 00011ms SCall: 30329 DCall: 07850 [172.16.248.117:4569]
Rx-Frame Retry[ No] -- OSeqno: 000 ISeqno: 001 Type: IAX Subclass: REJECT
   Timestamp: 00021ms SCall: 30329 DCall: 07850 [172.16.248.117:4569]
   CAUSE : Username is missing


Thanks.
(0000623)
mistaken (reporter)
2018-08-07 21:39

I'm hitting the same issue. I can receive calls fine using other IAX clients (asterisk , zoiper), but YateClient doesn't ring. I'm also getting the unknown IE warning described above. Tested with 5.5. and 6.1.
(0000624)
mistaken (reporter)
2018-08-07 23:09
edited on: 2018-08-07 23:11

Yate 6.1.0 - 1
Registered account iax:mistaken@example.com
Returned true 'engine.command' delay=0.003973
  thread=0x7fc244000b20 'Engine Worker'
  data=(nil)
  retval='Message sniffer: on, timer: off
'
  param['line'] = 'sniffer on'
2018-08-07_22:06:05.367283 <WARN> IAXIEList::createFromFrame. Frame(6,1) with invalid IE [0x7fc228001950]
2018-08-07_22:06:05.367319 <iaxengine:INFO> Received frame [0x56052367cbb0]
-----
IAX (0x06) - NEW (0x00000001)
  Incoming from 10.0.0.1:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 0:5047. Timestamp: 5. Retrans: false. Sequence numbers: Out: 0 In: 0
  VERSION: 0x0002
  CALLED_NUMBER: s
  CODEC_PREFS: EOJDV
  CALLING_NUMBER: 3339994321
  CALLINGPRES: 0x01 (allowed,user-provided-passed)
  CALLINGTON: 0x00 (unknown)
  CALLINGTNS: 0x0000
  CALLING_NAME: XXX YYY
  LANGUAGE: en
-----
2018-08-07_22:06:05.387306 <iaxengine:INFO> Sending frame [0x56052367cbb0]
-----
IAX (0x06) - ACK (0x00000004)
  Outgoing to 10.0.0.1:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 5132:5047. Timestamp: 5. Retrans: false. Sequence numbers: Out: 0 In: 1
  No Information Element(s)
-----
2018-08-07_22:06:05.387369 <iaxengine:INFO> Sending frame [0x56052367cbb0]
-----
IAX (0x06) - INVAL (0x0000000a)
  Outgoing to 10.0.0.1:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 0:5047. Timestamp: 5. Retrans: false. Sequence numbers: Out: 0 In: 0
  No Information Element(s)
-----
2018-08-07_22:06:05.387392 <WARN> IAXIEList::createFromFrame. Frame(6,1) with invalid IE [0x7fc228001950]
2018-08-07_22:06:13.651909 <iaxengine:INFO> Received frame [0x56052367cbb0]
-----
IAX (0x06) - HANGUP (0x00000005)
  Incoming from 10.0.0.1:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 5132:5047. Timestamp: 8291. Retrans: false. Sequence numbers: Out: 1 In: 0
  CAUSECODE: 0x00
-----
2018-08-07_22:06:15.643868 <iaxengine:INFO> Received frame [0x56052367cbb0]
-----
IAX (0x06) - HANGUP (0x00000005)
  Incoming from 10.0.0.1:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 5132:5047. Timestamp: 8291. Retrans: true. Sequence numbers: Out: 1 In: 0
  CAUSECODE: 0x00
-----
2018-08-07_22:06:15.643914 <iaxengine:INFO> Sending frame [0x56052367cbb0]
-----
IAX (0x06) - ACK (0x00000004)
  Outgoing to 10.0.0.1:4569 (Local address: 0.0.0.0:4569)
  Call (Local:Remote): 5132:5047. Timestamp: 8291. Retrans: false. Sequence numbers: Out: 0 In: 2
  No Information Element(s)
-----


- Issue History
Date Modified Username Field Change
2010-07-05 13:24 lefoyer New Issue
2010-07-06 15:50 lefoyer Issue Monitored: lefoyer
2011-02-13 17:33 viraptor Note Added: 0000359
2011-02-13 17:35 viraptor Note Added: 0000360
2011-02-13 18:21 viraptor Issue Monitored: viraptor
2011-02-17 14:02 lefoyer Note Added: 0000361
2011-02-17 14:07 lefoyer Note Edited: 0000361
2011-02-17 14:09 lefoyer Note Edited: 0000361
2011-03-11 17:15 vir Note Added: 0000366
2011-08-29 15:01 marian Note Added: 0000385
2011-08-29 15:01 marian Status new => resolved
2011-08-29 15:01 marian Resolution open => fixed
2012-02-21 19:20 paulc Note Added: 0000429
2012-02-21 19:20 paulc Status resolved => closed
2012-03-05 16:27 lefoyer Note Added: 0000448
2012-03-05 16:27 lefoyer Status closed => feedback
2012-03-05 16:27 lefoyer Resolution fixed => reopened
2012-05-21 18:25 lefoyer Note Added: 0000452
2013-05-02 11:09 nimnull Note Added: 0000531
2018-08-07 21:39 mistaken Note Added: 0000623
2018-08-07 23:09 mistaken Note Added: 0000624
2018-08-07 23:11 mistaken Note Edited: 0000624


Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker